28.11.2021

Mozilla обобщила планы по поддержке в Firefox третьей версии манифеста Chrome

 
  • 2.9, Жироватт (ok), 17:34, 28/05/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    «Я сильная и независимая… Это не ты меня заставил похудеть, это я сама решила!»

    Ага. Впрочем, это было предсказуемо — убив свои расширения и перейдя точку невозврата к старому XUL API она теперь вынуждена бежать за хромостором, иначе посыпятся дополнения.

    Просто интересно,Ю через сколько libxul.so станет простой мягкой ссылкорй на libgoogleblink.so?
     
     
  • 3.12, Аноним (12), 17:37, 28/05/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Так вэб сейчас в руках одной конторы. Так что движок от хромого тащить только и остаётся. Других вариантов не предвидится. Тут только жахнуть антимонопольным законодательством и заставить все стандарты заморозить.
     

  • 1.3, Аноним (3), 17:14, 28/05/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    > дополнение не сможет активироваться сразу для всех страниц (убрано полномочие «all_urls»), а будет работать только в контексте активной вкладки, т.е. пользователю потребуется подтверждать работу дополнения для каждого сайта.

    Всю жизнь мечтал после открытия сайта прокликивать десяток кнопочек, разрешающих работу расширениям, которые я сам же и установил. Спасибо, дятлы, от души.

     
     
  • 2.16, Аноним (16), 17:43, 28/05/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Блокировщик рекламы, который по умолчанию отключен на каждом сайте. Конечно же для вашей приватности.. эх, дивный новый мир.
     

  • 1.8, Аноним (8), 17:31, 28/05/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    TL;DR

    Разработчики дополнений для Firefox смогут выбирать сами — использовать урезанный API, не позволяющий эффективно фильтровать рекламу, или неурезанный.

    По-моему, идеально, это и есть свобода. Если разработчик хочет портировать своё расширение с Хрома, то он сможет сделать это быстро и без затрат ресурсов, используя новое API. А uBlock Origin и прочие дополнения смогут сохранить эффективность, используя старый API.

     
     
  • 2.17, Аноним (17), 17:55, 28/05/2021 [^] [^^] [^^^] [ответить]  
  • +/
    >> по крайней мере до тех пор, пока новый API не станет полностью отвечать потребностям разработчиков дополнений, использующих API webRequest.

    Ну то есть не сегодня завтра старый API отключат Не будут его держать из-за 5-6 дополнений.

     

    Источник.